require "spec_helper"

describe CustomPostType do

	it "has a name" do
		expect(CustomPostType.method_defined?(:name)).to be_true
	end

	it "has a default name" do
		expect(CustomPostType.new.name).to eq CustomPostType::DEFAULT_NAME
	end

	it "can overwrite the default name" do
		cpt_name = "a custom name"
		expect(CustomPostType.new(cpt_name).name).to eq cpt_name
	end

	it "gets copied to the current folder" do
		expect(CustomPostType.new.destination).to eq ""
	end

	it "gets copied from the CPT template folder" do
		expect(CustomPostType.new.template_path).to eq "custom_post_type"
	end

	it "renames the files appropriatly" do
		cpt = CustomPostType.new("My Post Type")
		cpt.generate
		expect(File.exists?("page-my-post-type.php")).to be_true
		expect(File.exists?("single-my-post-type.php")).to be_true
		expect(File.exists?("custom-post-types/my-post-type.php")).to be_true

		# delete files
		# FileUtils.rm_rf "custom-post-types"
		FileUtils.rm %w( page-my-post-type.php single-my-post-type.php )
	end

end