require "spec_helper"

describe Generator do

	it "has a template path" do
		expect(Generator.method_defined?(:template_path)).to be_true
	end

	it "has a destination" do
		expect(Generator.method_defined?(:destination)).to be_true
	end

	it "has a name" do
		expect(Generator.method_defined?(:name)).to be_true
	end

	it "compiles the templates to the destination directory" do
		generator_name = "My Generator!"

    # Run the method
		gen = Generator.new
		gen.template_path = "../../../spec/templates/files"
		gen.destination = @test_destination
		gen.name = generator_name
		gen.generate

		# Were the files copied?
		expect(File).to exist(WpScaffold::Base::USER_DIRECTORY + @test_destination + "/" + "test_file_1.txt")

		# And did the templating work?
		file2 = File.read(WpScaffold::Base::USER_DIRECTORY + @test_destination + "/" + "test_file_2.txt")
		expect(file2).to include generator_name

		file3 = File.read(WpScaffold::Base::USER_DIRECTORY + @test_destination + "/" + "php/test_file_3.php")
		expect(file3).to include generator_name
	end

end