require "spec_helper"

describe Setting do

	it "has a user_path_setting" do
		expect(Setting.method_defined?(:user_path_setting)).to be_true
	end

	it "gets copied to the current user's home folder" do
		expect(Setting.new.destination).to eq ENV['HOME']
	end

	it "gets copied from the setting template folder" do
		expect(Setting.new.template_path).to eq "setting"
	end

	it "sets the user_path_setting based on user input" do
		user_path = "my_custom_path"
		setting = Setting.new(user_path)
		expect(setting.user_path_setting).to eq user_path
	end

	it "includes the user's custom template path" do
		user_path = "documents/wp_scaffold_custom_templates/"
		setting = Setting.new(user_path)
		setting.generate
		expect(File.read(ENV['HOME']+"/wp_scaffold_settings.txt")).to eq user_path

		# delete it
		FileUtils.rm ENV['HOME']+"/wp_scaffold_settings.txt"
	end

end