require "spec_helper"

describe Theme do

	it "has a name" do
		expect(Theme.method_defined?(:name)).to be_true
	end

	it "has a default name" do
		expect(Theme.new.name).to eq Theme::DEFAULT_NAME
	end

	it "can overwrite the default name" do
		theme_name = "a custom name"
		expect(Theme.new(theme_name).name).to eq theme_name
	end

	it "gets copied to the current folder" do
		expect(Theme.new.destination).to eq ""
	end

	it "gets copied from the theme template folder" do
		expect(Theme.new.template_path).to eq "theme"
	end

	it "renames its enclosing folder to match the theme name" do
		theme = Theme.new("My New Theme")
		theme.generate
		expect(File.directory?("my_new_theme")).to be_true

		# delete it
		FileUtils.rm_rf "my_new_theme"
	end

end