require_relative "../lib/wp_scaffold"

include FileUtils

# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
RSpec.configure do |config|

  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies.
  config.order = 'random'

  config.before(:each) do
  	@test_destination = "tmp"
  	FileUtils.mkdir_p "../tmp"
  end

  config.after(:each) do
  	FileUtils.rm_rf "../tmp"
  end

  config.before(:all) do
    # delete our settings file
    if File.exists? ENV['HOME']+"/wp_scaffold_settings.txt"
      FileUtils.rm ENV['HOME']+"/wp_scaffold_settings.txt"
    end
  end

end
